July 19, 2018, 11:17:50 PM

Author Topic: Submit your bugs!  (Read 3279 times)

Offline Raptor3

  • Level 0 Beginner
  • Posts: 6
  • Country: fr
Re: Submit your bugs!
« Reply #75 on: June 30, 2018, 10:15:38 PM »
Hello,
I'm sorry to bother you again but I have a new issue and I just don't understand and so don't know how to fix it.

Here it is :

dlopen failed trying to load:
/usr/games/.steam/sdk32/steamclient.so
with error:
/usr/games/.steam/sdk32/steamclient.so: cannot open shared object file: No such file or directory
Looking up breakpad interfaces from steamclient
Calling BreakpadMiniDumpSystemInit
Unknown command "r_decal_cullsize"
[SP] Loading plugin 'es_emulator'...
[EventScripts] Temporary: Setting the host's IP variable from the command-line.
Uploading dump (in-process) [proxy '']
/tmp/dumps/assert_20180630215104_1.dmp
success = yes
response:  Discarded=1



I searched on the Internet for hours now and I didn't found any solution nor understand the problem, is it an installation issue again ?
I'm sorry again if it's the case.

Thank you for your time.

Offline WCS - Wookie

  • Level 5 Trained Intermediate
  • *****
  • Posts: 112
  • Country: nz
  • Qualified Teacher, working in IT and loving WCS.
Re: Submit your bugs!
« Reply #76 on: July 01, 2018, 01:10:01 PM »
Looks like a bug in the installation files not having all the required files. I would first verify that you have the correct version of the plugins/mods you are installing and that your server is up to date. Then if that still didnt fix the issue I'd do a reinstall.
If you like WCS and are from AUS/NZ drop by our server to take a look.


Offline Raptor3

  • Level 0 Beginner
  • Posts: 6
  • Country: fr
Re: Submit your bugs!
« Reply #77 on: July 02, 2018, 02:12:41 PM »
Hi WCS - Wookie,
I did what you said but this error is still there. I don't know what to do, reset the server and install everything again ?

Offline Ayuto

  • Level 1 Trained Beginner
  • *
  • Posts: 39
  • Country: de
    • Source.Python
Re: Submit your bugs!
« Reply #78 on: July 02, 2018, 05:49:43 PM »
You can start your server with the -debug option. This should generate a debug.log which contains more information about the crash.

Offline Raptor3

  • Level 0 Beginner
  • Posts: 6
  • Country: fr
Re: Submit your bugs!
« Reply #79 on: July 03, 2018, 01:52:43 PM »
Hello,
it works now !
I really don't know what it was, I reinitialize the server in order to have the default settings, install everything back and it was good.

Thanks for your piece of advice

Offline MrDKization

  • Level 0 Beginner
  • Posts: 15
  • Country: 00
  • WCS Returns!
Re: Submit your bugs!
« Reply #80 on: July 11, 2018, 02:43:40 PM »
Hey I have tried messing around with the skills on the standard races etc.

Human alliance teleport dosent work, this is what I get in console when using ultimate:

Code: [Select]
[SM] Exception reported: Invalid convar handle 0 (error 4)
[SM] Blaming: commands.smx
[SM] Call stack trace:
[SM]   [0] SetConVarFloat
[SM]   [1] Line 645, C:\Users\Stephan\Downloads\sourcemod-1.9.0-git6206-windows\addons\sourcemod\scripting\commands.sp::DistanceRegister

[SP] Caught an Exception:
Traceback (most recent call last):
  File "../addons/source-python/plugins/wcs/commands.py", line 447, in push_forward
    force = float(command[5])
 
IndexError: Index out of range.

And I noticed that extra damage dosent work on Orc as well. That goes for critical strike, grenade and chain lightning it tells you that you do extra damage, but it dosent do extra damage. I dont know if it is the case with other races as well.

And then I saw there was some changes in github to the wcs mod, but whenever if I try to download the newest updates and install em the ultimate dosent work and so on. It spams a lot in console, can try and install it later to give you the code. I dont know if it has something to do with new source python update or`?

And some more warning I get when I load WCS:

Code: [Select]
SP] Loading plugin 'es_emulator'...
[EventScripts] Loaded esc
[SP] Successfully loaded plugin 'es_emulator'.
[SP] Loading plugin 'wcs'...
CGameEventManager::AddListener: event 'wcs_gainxp' unknown.
 
[SP] Encountered a Warning:
  File '../addons/source-python/packages/site-packages/sqlalchemy/dialects/sqlite/base.py', line 558: DeprecationWarning
    invalid escape sequence \d
 
 
[SP] Encountered a Warning:
  File '../addons/source-python/packages/site-packages/sqlalchemy/dialects/sqlite/base.py', line 1331: DeprecationWarning
    invalid escape sequence \w
 
 
[SP] Encountered a Warning:
  File '../addons/source-python/packages/site-packages/sqlalchemy/dialects/sqlite/base.py', line 1332: DeprecationWarning
    invalid escape sequence \(
 
[SP] Successfully loaded plugin 'wcs'.

This one pops up randomly in the load up as well
Code: [Select]
[SP] Encountered a Warning:
  File '../addons/source-python/plugins/es_emulator/eventscripts/corelib/exp/exp.py', line 55: DeprecationWarning
    invalid escape sequence \:
 
 
[SP] Encountered a Warning:
  File '../addons/source-python/plugins/es_emulator/eventscripts/corelib/exp/exp.py', line 265: DeprecationWarning
    invalid escape sequence \)
 
 
[SP] Encountered a Warning:
  File '../addons/source-python/plugins/es_emulator/eventscripts/corelib/escinject/escinject.py', line 9: DeprecationWarning
    invalid escape sequence \^
 
 
[SP] Encountered a Warning:
  File '../addons/source-python/plugins/es_emulator/eventscripts/corelib/escinject/escinject.py', line 9: DeprecationWarning
    invalid escape sequence \$
 
 
[SP] Encountered a Warning:
  File '../addons/source-python/plugins/es_emulator/eventscripts/corelib/escinject/escinject.py', line 9: DeprecationWarning
    invalid escape sequence \*
 
 
[SP] Encountered a Warning:
  File '../addons/source-python/plugins/es_emulator/eventscripts/corelib/escinject/escinject.py', line 9: DeprecationWarning
    invalid escape sequence \+
 
 
[SP] Encountered a Warning:
  File '../addons/source-python/plugins/es_emulator/eventscripts/corelib/escinject/escinject.py', line 9: DeprecationWarning
    invalid escape sequence \?
 
 
[SP] Encountered a Warning:
  File '../addons/source-python/plugins/es_emulator/eventscripts/corelib/escinject/escinject.py', line 9: DeprecationWarning
    invalid escape sequence \.
 
 
[SP] Encountered a Warning:
  File '../addons/source-python/plugins/es_emulator/eventscripts/corelib/escinject/escinject.py', line 9: DeprecationWarning
    invalid escape sequence \|
 
 
[SP] Encountered a Warning:
  File '../addons/source-python/plugins/es_emulator/eventscripts/corelib/escinject/escinject.py', line 9: DeprecationWarning
    invalid escape sequence \[
 
 
[SP] Encountered a Warning:
  File '../addons/source-python/plugins/es_emulator/eventscripts/corelib/escinject/escinject.py', line 9: DeprecationWarning
    invalid escape sequence \]
 
 
[SP] Encountered a Warning:
  File '../addons/source-python/plugins/es_emulator/eventscripts/corelib/escinject/escinject.py', line 9: DeprecationWarning
    invalid escape sequence \{
 
 
[SP] Encountered a Warning:
  File '../addons/source-python/plugins/es_emulator/eventscripts/corelib/escinject/escinject.py', line 9: DeprecationWarning
    invalid escape sequence \}

And this is also being spammed
Code: [Select]

[SP] Caught an Exception:
Traceback (most recent call last):
  File "../addons/source-python/packages/source-python/listeners/tick.py", line 80, in _tick
    self.pop(0).execute()
  File "../addons/source-python/packages/source-python/listeners/tick.py", line 161, in execute
    return self.callback(*self.args, **self.kwargs)
  File "../addons/source-python/packages/source-python/listeners/tick.py", line 606, in _execute
    self.callback(*self.args, **self.kwargs)
  File "../addons/source-python/plugins/wcs/mana.py", line 163, in info_repeat
    if Player.from_userid(player.userid).dead != 1:
  File "../addons/source-python/packages/source-python/players/_base.py", line 98, in from_userid
    return cls(index_from_userid(userid))
 
ValueError: Conversion from "Userid" (3) to "Index" failed

I have not the biggest clue what are causing these or it is Source.Python or WCS. Maybe some of you can fill in the blanks? :)

« Last Edit: July 11, 2018, 03:04:07 PM by MrDKization »

Offline Kami

  • Developer
  • Level 7 Expert
  • *****
  • Posts: 851
  • Country: de
  • Pokemon Master!
Re: Submit your bugs!
« Reply #81 on: July 11, 2018, 07:26:45 PM »
Thank you very much for reporting those errors.

The newest release should fix most of your problems. I'm not exactly sure how I can get rid of the errors that say:

Code: [Select]
[SP] Encountered a Warning:
  File '../addons/source-python/packages/site-packages/sqlalchemy/dialects/sqlite/base.py', line 1331: DeprecationWarning
    invalid escape sequence \w

But those do not change functionality of the mod in any way.

Offline MrDKization

  • Level 0 Beginner
  • Posts: 15
  • Country: 00
  • WCS Returns!
Re: Submit your bugs!
« Reply #82 on: July 12, 2018, 09:39:47 AM »
Now human alliance ultimates work, but its kinda weird cuz u dont teleport like you used to it teleports you a few units, but no errors from there now. So dont know why teleport is so weird now?

And extra damage on orcish horde still dosent work at chain lightning works fine, but critical strike and grenade dosent work. I dont know if thats the case with night elfs as well. This is an error message I got in the kill feed where it looks like you killed an enemy with extra damage but you extra damage didnt work. I didnt get a screenshot before the round ended but here is the error same message I get with flame predator:

However this code stil occurs

Code: [Select]
[SP] Caught an Exception:
Traceback (most recent call last):
  File "../addons/source-python/plugins/wcs/commands.py", line 637, in _centertell
    userid = int(command[1])
 
ValueError: invalid literal for int() with base 10: ''

And then I found if you use the default_races.ini where I was unable to change race I get this error code:

Code: [Select]
[SP] Caught an Exception:
Traceback (most recent call last):
  File "../addons/source-python/packages/source-python/commands/auth.py", line 44, in __call__
    return self.callback(*args)
  File "../addons/source-python/packages/source-python/menus/queue.py", line 267, in _menuselect_callback
    _radio_queues[index]._select(choice)
  File "../addons/source-python/packages/source-python/menus/queue.py", line 126, in _select
    next_menu = active_menu._select(self._index, choice)
  File "../addons/source-python/packages/source-python/menus/radio.py", line 316, in _select
    return super()._select(player_index, choice_index)
  File "../addons/source-python/packages/source-python/menus/radio.py", line 113, in _select
    self._player_pages[player_index].options[choice_index])
  File "../addons/source-python/packages/source-python/menus/base.py", line 122, in _select
    return self.select_callback(self, player_index, choice_index)
  File "../addons/source-python/plugins/wcs/changerace.py", line 185, in changerace_menu_select
    wcs.wcs.wcsplayers[userid].changerace(choice.value)
  File "../addons/source-python/plugins/wcs/wcs.py", line 511, in changerace
    if racedb.races[self.race_name]['onchange']:
  File "../addons/source-python/packages/site-packages/configobj.py", line 554, in __getitem__
    val = dict.__getitem__(self, key)

but when I use my own race file it dosent give me that error.

This is an error that occur from Crypt Lords ultimate. It dosent work it gives you health and armor but dont damage your enemy, here is the code:

Code: [Select]
[SP] Caught an Exception:
Traceback (most recent call last):
  File "../addons/source-python/packages/source-python/events/hooks.py", line 222, in _pre_game_event
    current_action = callback(game_event)
  File "../addons/source-python/plugins/wcs/commands.py", line 289, in pre_hurt
    player.health += int(absorb_dmg)
 
NameError: name 'player' is not defined

Sorry I just keep reportning xD
Code: [Select]
[SP] Caught an Exception:
Traceback (most recent call last):
  File "../addons/source-python/plugins/es_emulator/eventscripts/_libs/python/weaponlib/__init__.py", line 47, in __getitem__
    return self.get(x)
  File "../addons/source-python/plugins/es_emulator/eventscripts/_libs/python/weaponlib/__init__.py", line 83, in get
    raise ValueError("No weapon info 'c'"  0nfo)
ValueError: No weapon info '0'
 
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "../addons/source-python/plugins/es_emulator/logic.py", line 103, in __call__
    es.addons.callBlock(self.block_name)
  File "../addons/source-python/plugins/es_emulator/eventscripts/es.py", line 356, in callBlock
    self.Blocks[blockname]()
  File "../addons/source-python/plugins/es_emulator/eventscripts/_libs/python/cmdlib.py", line 172, in callbackServer
    cmd_manager.callback(cmd_manager.server_commands, es.getargv(0))
  File "../addons/source-python/plugins/es_emulator/eventscripts/_libs/python/cmdlib.py", line 111, in callback
    cmdlist[name].execute(self.CMDArgs(es.getargv(x) for x in range(1, es.getargc())))
  File "../addons/source-python/plugins/es_emulator/eventscripts/_libs/python/cmdlib.py", line 206, in execute
    self.callback(args)
  File "../addons/source-python/plugins/es_emulator/eventscripts/wcs/tools/xcommands/xcommands.py", line 30, in register
    attr = _func(attr)
  File "../addons/source-python/plugins/es_emulator/eventscripts/wcs/tools/xcommands/xcommands.py", line 108, in _func
    if hasattr(args[0], '__iter__'):
  File "../addons/source-python/plugins/es_emulator/eventscripts/_libs/python/weaponlib/__init__.py", line 50, in __getitem__
    raise KeyError("'c'" 0)
 
KeyError: "'0'"

Edit:
It seems like the command wcs_dealdamage isnt valid, because if you use "wcs damage" instead it is working then. The reason I discovered that is because I had a race called Frozen Breath and it had its own block and tested that race it seems like the extra damage was working on that, so I looked at the command line and that used "es wcs damage" which worked. So I dont know if wcs_dealdamage or it is not supported in this version?

Here is what my Orcish Horde Critical strike block line looks now:

Code: [Select]
{
if (server_var(wcs_dice) <= 10) do
{
if (event_var(es_userdead) = 0) do
{
if (event_var(es_attackerdead) = 0) do
{
es wcs damage event_var(userid) event_var(attacker) server_var(wcs_dmg)
es wcs_centertell event_var(attacker) Critical strike did + server_var(wcs_dmg) damage!
es_getplayerlocation wcs_x1 wcs_y1 wcs_z1 event_var(attacker)
es_getplayerlocation wcs_x2 wcs_y2 wcs_z2 event_var(userid)
es_xmath wcs_z1 + 20
es_xmath wcs_z2 + 20
es est_effect 3 #a 0 sprites/lgtning.vmt server_var(wcs_x1) server_var(wcs_y1) server_var(wcs_z1) server_var(wcs_x2) server_var(wcs_y2) server_var(wcs_z2) 0.5 8 8 255 71 36 255
}
}
}
}

« Last Edit: July 12, 2018, 11:37:02 AM by MrDKization »

Offline Kami

  • Developer
  • Level 7 Expert
  • *****
  • Posts: 851
  • Country: de
  • Pokemon Master!
Re: Submit your bugs!
« Reply #83 on: July 12, 2018, 03:17:28 PM »
Thank you for reporting :) I will Look into the errors!

For the difference between wcs damage and wcs_dealdamage: there is None. Wcs damage is just a python wrapper for the sourcemod command wcs_dealdamage. I will Look into remaking that one to SourcePython soon so that May fix problems with it.

For human Teleport, you Need to Look a Bit Up or jump a little. I will compare the old Version with the new one and See what i can do !

Offline MrDKization

  • Level 0 Beginner
  • Posts: 15
  • Country: 00
  • WCS Returns!
Re: Submit your bugs!
« Reply #84 on: July 12, 2018, 05:14:45 PM »
No problem at all :)

No there shouldnt be difference between wcs_dealdamage or wcs damage, but wcs damage is the only command that is working for me with extra damage, I dont know if it is just me who is having that problem

Offline MrDKization

  • Level 0 Beginner
  • Posts: 15
  • Country: 00
  • WCS Returns!
Re: Submit your bugs!
« Reply #85 on: July 12, 2018, 05:40:21 PM »
Btw I was wondering whenever you set an enemy on fire and they get killed by the fire, it do not let you get the kill. I mean it dosent count as your kill it only says that you assisted in the kill?

Offline Kami

  • Developer
  • Level 7 Expert
  • *****
  • Posts: 851
  • Country: de
  • Pokemon Master!
Re: Submit your bugs!
« Reply #86 on: July 12, 2018, 06:48:11 PM »
I did some adjustments to the teleport ulti and it should be a lot closer to the old thing now with a real nice push :D

I also fixed some of your reported errors. The one where you could not change the race is incomplete though and I'd need the whole exception to use it.


Edit:

I remade wcs_dealdamage with SourcePython so now the problems should be gone I hope
« Last Edit: July 12, 2018, 07:53:05 PM by Kami »

Offline MrDKization

  • Level 0 Beginner
  • Posts: 15
  • Country: 00
  • WCS Returns!
Re: Submit your bugs!
« Reply #87 on: July 13, 2018, 02:36:39 PM »
I did some adjustments to the teleport ulti and it should be a lot closer to the old thing now with a real nice push :D

I also fixed some of your reported errors. The one where you could not change the race is incomplete though and I'd need the whole exception to use it.


Edit:

I remade wcs_dealdamage with SourcePython so now the problems should be gone I hope

I will test the new changes and will let you know

Offline MrDKization

  • Level 0 Beginner
  • Posts: 15
  • Country: 00
  • WCS Returns!
Re: Submit your bugs!
« Reply #88 on: July 13, 2018, 03:05:33 PM »
So the extra damage is there, but feels like it sometimes dosent work however when it do work it is looking like this when you kill someone (attached screenshot) this is tested on Orcish Horde with critical strike and grenade, but same error code keep occuring:

Code: [Select]
[SP] Caught an Exception:
Traceback (most recent call last):
  File "../addons/source-python/plugins/wcs/commands.py", line 665, in _centertell
    userid = int(command[1])
 
ValueError: invalid literal for int() with base 10: ''
 
 
getplayerlocation, invalid userid
getplayerlocation, invalid userid


And Teleport seems to be working better now, it def gives a better push with teleport :-)

Edit:
It seems like "wcs_dealdamage" is working fine with the dmg scale u set besides that error it gives and the screenshot I provided. "wcs damage" command is also working but however if I set the extra damage to 110 just to text it works, it didnt one shot a 100 hp enemy but if it procs again after it kills the person, but somehow it dosent scale with the set dmg. No error is given, but I feel that dosent matter if "wcs_dealdamage" is almost fixed. So I am gonna stick with "wcs_dealdamage" now since it is looking its going to work better when that error has been fixed :-)

« Last Edit: July 13, 2018, 03:27:32 PM by MrDKization »

Offline Kami

  • Developer
  • Level 7 Expert
  • *****
  • Posts: 851
  • Country: de
  • Pokemon Master!
Re: Submit your bugs!
« Reply #89 on: July 13, 2018, 05:23:11 PM »
I remember that bug, but I am not sure how to fix it at the moment